Package org.eclipse.net4j.util.container

# Interface IContainer.Modifiable<E>

All Superinterfaces:
  `IContainer<E>`, `INotifier`

All Known Implementing Classes:
  `ListContainer`, `ModifiableContainer`, `PersistableContainer`, `SetContainer`

Enclosing interface:
  IContainer<E>

public static interface IContainer.Modifiable<E> extends IContainer<E>
A `container` with additional methods to add or remove elements.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addAllElements(Collection<E> elements)`
`boolean`
`addElement(E element)`
`boolean`
`removeAllElements(Collection<E> elements)`
`boolean`
`removeElement(E element)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### addElement

boolean addElement(E element)

### addAllElements

boolean addAllElements(Collection<E> elements)

### removeElement

boolean removeElement(E element)

### removeAllElements

boolean removeAllElements(Collection<E> elements)